Follow

Thank you @apple@twitter.com - NOT. Internet based restore of this MacBook Air installs MacOS 10.4 which is so old it cannot even create an Apple ID anymore. And now I have to first update to 10.9 at least before I can get to Catalina? Over a slow connection? Geez.

Sign in to participate in the conversation
social.wildeboer.net

Mastodon instance for people with Wildeboer as their last name